%global packname  rvest
%global rlibdir  %{_datadir}/R/library

# Some things use the network.
%bcond_with network

Name:             R-%{packname}
Version:          0.3.2
Release:          3%{?dist}
Summary:          Easily Harvest (Scrape) Web Pages

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-xml2
# Imports:   R-httr >= 0.5, R-selectr, R-magrittr
# Suggests:  R-testthat, R-knitr, R-png, R-stringi >= 0.3.1, R-rmarkdown, R-covr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-xml2
Requires:         R-httr >= 0.5
Requires:         R-selectr
Requires:         R-magrittr
Suggests:         R-stringi >= 0.3.1
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-xml2
BuildRequires:    R-httr >= 0.5
BuildRequires:    R-selectr
BuildRequires:    R-magrittr
BuildRequires:    R-testthat
BuildRequires:    R-knitr
BuildRequires:    R-png
BuildRequires:    R-stringi >= 0.3.1
BuildRequires:    R-rmarkdown

%description
Wrappers around the 'xml2' and 'httr' packages to make it easy to
download, then manipulate, HTML and XML.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with network}
%{_bindir}/R CMD check %{packname}
%else
%{_bindir}/R CMD check %{packname} --no-examples --no-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/html-ex


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 02 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3.2-1
- initial package for Fedora
